Scheduled Jobs - Remove
删除计划作业
按 ID 删除现有的计划作业。
DELETE https://{subdomain}.{baseDomain}/api/scheduledJobs/{scheduledJobId}?api-version=2022-07-31
URI 参数
| 名称 | 在 | 必需 | 类型 | 说明 |
|---|---|---|---|---|
|
base
|
path | True |
string |
所有 Azure IoT Central 服务请求的基域。 |
|
scheduled
|
path | True |
string maxLength: 255pattern: ^[a-zA-Z0-9_-]*$ |
计划作业的唯一 ID。 |
|
subdomain
|
path | True |
string |
应用程序子域。 |
|
api-version
|
query | True |
string |
要调用的 API 的版本。 |
响应
| 名称 | 类型 | 说明 |
|---|---|---|
| 204 No Content |
成功 |
|
| Other Status Codes |
从 IoT Central 服务收到的错误响应。 标头 x-ms-error-code: string |
安全性
azure_auth
Azure Active Directory OAuth2 流
类型:
oauth2
流向:
implicit
授权 URL:
https://login.microsoftonline.com/common/oauth2/authorize
作用域
| 名称 | 说明 |
|---|---|
| user_impersonation | 模拟用户帐户 |
示例
Delete a scheduled job
示例请求
DELETE https://appsubdomain.azureiotcentral.com/api/scheduledJobs/newScheduledJobId?api-version=2022-07-31
示例响应
定义
| 名称 | 说明 |
|---|---|
| Error |
响应错误定义。 |
|
Error |
错误的详细信息。 |
Error
响应错误定义。
| 名称 | 类型 | 说明 |
|---|---|---|
| error |
当前请求的错误详细信息。 |
ErrorDetails
错误的详细信息。
| 名称 | 类型 | 说明 |
|---|---|---|
| code |
string |
错误代码。 |
| message |
string |
错误消息详细信息。 |
| requestId |
string |
当前请求的相关 ID。 |
| time |
string (date-time-rfc1123) |
错误请求失败的时间。 |